Page MenuHomePhabricator

Create end-to-end automated test for Wikipedia native app(s)
Closed, DeclinedPublic

Description

Please reach out to the commenters on this thread or Brian Gerstle (bgerstle) directly on Freenode webchat on the #wikimedia-mobile channel.

We have been discussing doing this for some time. The Hackathon would be an ideal situation to create a spike that would be valuable into the future.

Our current thinking is to use Appium and SauceLabs for this work.

At various time we have reviewed mobile test frameworks, and Appium seems to be both well supported and also the best fit for our existing UI test framework.

There are also platform-specific "integration test" frameworks that might be worth exploring:

Event Timeline

Cmcmahon raised the priority of this task from to Medium.
Cmcmahon updated the task description. (Show Details)
Deskana edited projects, added Wikipedia-Android-App-Backlog; removed Mobile-Apps.
Deskana set Security to None.

The question came from iOS App team: Do we have the similar ticket for iOS App? Or iOS App test automation is already in progress?

@Etonkovidova: we do not have a similar ticket for ios, feel free to create one!

I have experience with setting up Appium for iOS and had been hoping to do so soon. Happy to help!

Also, would be nice to leverage Vagrant here for faster and more reliable tests.

Any updates on this? Would love to hack on it at Lyon.

Any updates on this? Would love to hack on it at Lyon.

No.

@zeljkofilipin / @dduvall / @Etonkovidova: would this be something you'd like to work on at the hackathon?

@zeljkofilipin / @dduvall / @Etonkovidova: would this be something you'd like to work on at the hackathon?

I am interested.

Any updates on this? Would love to hack on it at Lyon.

What kind of updates are you looking for? :)

@zeljkofilipin mainly whether or not anyone is actually hacking on this. i'd be happy to hack on it, but haven't found a non-WMF buddy yet, so wasn't sure if it was kosher for me to hack on this with other WMF people.

@zeljkofilipin mainly whether or not anyone is actually hacking on this. i'd be happy to hack on it, but haven't found a non-WMF buddy yet, so wasn't sure if it was kosher for me to hack on this with other WMF people.

I think we're definitely open to working on it while there :) And yeah, it's a hard balancing act at Hackathons between dedicated hacking time with coworkers you rarely see vs welcoming and helping and doing awesome things with volunteers you even more rarely see.

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

BGerstle-WMF renamed this task from Create end-to-end test for Wikipedia Android app to Hacking: Create end-to-end automated test for Wikipedia native app(s).May 18 2015, 9:38 PM
BGerstle-WMF claimed this task.
BGerstle-WMF updated the task description. (Show Details)
greg renamed this task from Hacking: Create end-to-end automated test for Wikipedia native app(s) to Create end-to-end automated test for Wikipedia native app(s).May 27 2015, 10:36 PM
greg removed a project: Wikimedia-Hackathon-2015.
hashar added a subscriber: hashar.

Removed Continuous-Integration-Infrastructure for now since not much work is needed on the infra right now. The task is still in Release-Engineering-Team though.

For lack of a better home project (other than team) I'm putting this in Browser-Tests,which are also end-to-end automated tests, just, yeah, different (not sure it's worth it to make an native apps specific E2E phab project yet... yet)

For lack of a better home project (other than team) I'm putting this in Browser-Tests,which are also end-to-end automated tests, just, yeah, different (not sure it's worth it to make an native apps specific E2E phab project yet... yet)

Maybe we should make Browser-Tests more general and rename it to something like #end-to-end tests.

Željko

This will become clearer once iOS (and Android) start writing e2e tests. My initial thoughts were to explore Appium as a way to share acceptance tests across platforms, but it's unclear if that's the best solution for iOS, given recent developments in UI testing (in Xcode 7). Will follow up with you guys once we learn more.

zeljkofilipin lowered the priority of this task from Medium to Low.May 26 2017, 3:30 PM

[ Resetting assignee as assignee account is not active anymore ]

LGoto added a subscriber: LGoto.

Closed as part of board grooming process.